@charset "UTF-8";

/*!
Theme Name: Whimsy
Description: Cocoon専用の子テーマ
Theme URI: https://wp-cocoon.com/
Author URI: https://nelog.jp/
Template:   cocoon-master
Version:    1.1.3
*/

/************************************
** 子テーマ用のスタイルを書く
************************************/
/*必要ならばここにコードを書く*/

:root {
  --color_w: #fff;
  --color_b: #000;
  --color_gray1: #eeeeee;
  --color_gray2: #898989;
  --color_gray3: #333333/*濃*/;
}
.pc_only {
  display: block;
}
.sp_only {
  display: none;
}
a{
  text-decoration: none;
  color: var(--color_gray3);
}
.flexwrap {
  display: -webkit-flex;
  display: flex;
  flex-wrap: wrap;
  -webkit-flex-wrap: wrap;
}
.flexnowrap {
  display: -webkit-flex;
  display: flex;
  flex-wrap: nowrap;
  -webkit-flex-wrap: nowrap;
}
.JCfs {
  justify-content: flex-start;
  -webkit-justify-content: flex-start;
}
.JCfe {
  justify-content: flex-end;
  -webkit-justify-content: flex-end;
}
.JCc {
  justify-content: center;
  -webkit-justify-content: center;
}
.JCsb {
  justify-content: space-between;
  -webkit-justify-content: space-between;
}
.AIc {
  align-items: center;
  -webkit-align-items: center;
}
.AIs {
  align-items: stretch;
  -webkit-align-items: stretch;
}
.AIe {
  align-items: end;
  -webkit-align-items: end;
}
.body{
  font-family: "DM Sans", sans-serif;
  font-optical-sizing: auto;
  font-weight: 300;
  font-style: normal;
}

/* 共通 */
#container {
  display: flex;
  flex-direction: column;
  min-height: 100vh;
  overflow: hidden;
}
#main{
  background-color: unset;
}
footer {
  margin-top: auto !important;
  background: linear-gradient(0deg, var(--color_main1) 0%, rgba(255, 255, 255, 1) 50%);
}
ul {
  padding-left: 0;
}
li {
  list-style: none;
}
#admin-panel{
  display: none;
}
.pagination-next{
  display: none;
}
.go-to-top-button{
  background-color: unset;
}
.go-to-top-button:hover{
  color: var(--color_w) !important;
}

/* menu */
.item-description{
  display: none;
}
.dashicons-cart{
  vertical-align: text-bottom;
}

/* デフォルトカルーセル非表示 */
#carousel {
  display: none;
}

/* TOP スライダー */
.top-slider .slick-slide{
  width: 100%;
}
.top-slider .slick-slide img{
  width: 100%;
}

/* TOP massage */
.message{
  width: 95%;
  max-width: 1000px;
  margin: 1em auto 4em;
  padding: 15px;
  text-align: center;
  font-size: 0.85rem;
  font-weight: 500;
}

/* TOP SHOP */
.shop-f{
  padding: 1em;
}
.cat{
  margin: auto;
  text-align: center;
  width: 150px;
  border-radius: 3px;
  border: 1px solid rgba(0, 0, 0, 0.5);
  padding: 5px 0;
}
.cat a{
  display: block;
  font-size: 0.8rem;
}
.cat:hover{
  background-color: var(--color_b);
  transition: 0.5s;
}
.cat:hover a{
  color: var(--color_w);
  transition: 0.5s;
}
/* カテゴリー表示 */
.show-cat {
  opacity: 1;
  height: auto;
  padding: 5px 10px;
  /* 元の値に合わせて調整 */
  overflow: hidden;
  transition: opacity .1s ease, height .1s ease, padding .1s ease;
}
.show-cat.is-hide {
  opacity: 0;
  height: 0;
  padding: 0;
  pointer-events: none;
}
.cat-kind {
  opacity: 0;
  display: none;
  transition: opacity .3s ease;
}
.cat-kind.is-active {
  display: block;
  opacity: 1;
}

ul.cat-f{
  margin: 0 0 1em;
}
ul.cat-f li{
  margin: 1em 15px;
  border: 1px solid rgba(0, 0, 0, 0.5);
  border-radius: 3px;
  padding: 5px 10px;
  font-size: 0.8rem;
}
ul.cat-f li:hover{
  color: var(--color_w);
  background-color: var(--color_b);
  transition: 0.5s;
}
ul.cat-f li a{
  display: block;
  font-size: 0.8rem;
}
ul.cat-f li:hover a{
  color: var(--color_w);
  transition: 0.5s;
}
.shop-box{
  margin: 10px;
  width: calc((100% - 80px)/4);
}
.shop-box .thum{
  aspect-ratio: 1 / 1;
 overflow: hidden;
} 
.shop-box .thum img{
  width: 100%;
  height: 100%;
  height: auto;
  transition: transform 2s ease;
}
.shop-box .thum:hover img {
  transform: scale(1.1);
}
.shop-box .name{
  color: var(--color_gray2);
  font-size: 0.8rem;
}
.shop-box h3{
  font-weight: 400;
  font-size: 0.8rem;
}
.shop-box p{
  font-size: 1rem;
}

/* 完売系アイコン */
.shop-box.soldout .thum{
  position: relative;
}
.shop-box.soldout .thum .sold{
  position: absolute;
  padding: 3px 5px;
  border: 1px solid var(--color_b);
  border-radius: 3px;
  top: 5px;
  right: 5px;
  font-size: 0.8rem;
  background-color: var(--color_b);
  color: var(--color_w);
}
.shop-box.soldout .thum img{
  opacity: 0.5;
}
.shop-box.soldout .thum:hover img{
  transform: unset;
}
.more{
  margin: 3em auto;
  width: 100%;
  max-width: 200px;
  border: 1px solid rgba(0, 0, 0, 0.5);
  border-radius: 3px;
  padding: 10px;
  text-align: center;
}
.more:hover{
  background-color: var(--color_b);
  transition: 0.5s;
}
.more a{
  display: block;
}
.more:hover a{
  color: var(--color_w);
  transition: 0.5s;
}
.shop-f h1{
  text-align: center;
}
.page-f{
  padding: 5px;
}
.footer-bottom-logo img{
  height: 30px;
}

/************************************
** レスポンシブデザイン用のメディアクエリ
************************************/

@media screen and (max-width: 1440px) {
  .navi-in>ul .sub-menu{
    width: 400px;
}
.navi-in>ul{
  flex-wrap: nowrap;
    -webkit-flex-wrap: nowrap;
}
.navi-in>ul .caption-wrap>div {
    font-size: 0.9rem;
}
}
@media screen and (max-width: 1023px){
#header-container,
#header-container .navi,
#navi .navi-in>.menu-header .sub-menu{
    display: none;
  }
.mobile-header-menu-buttons,.mobile-menu-buttons{
  box-shadow: unset;
}
#search-menu-open,.navi-menu-caption{
  display: none !important;
}
.logo-menu-button img{
  padding: 5px;
}
.menu-drawer li.sty{
  text-align: center;
  border: 1px solid var(--color_gray2);
  border-radius: 3px;
  margin-bottom: 5px;
  padding: 0;
}
.menu-drawer li.sty a{
  color: var(--color_b);
}
}

/*834px以下*/
@media screen and (max-width: 1023px) {
.cat {
    display: none;
  }
.cat-f {
  display: none;
}
}
@media screen and (max-width: 834px){
.menu-drawer a{
  font-weight: 500;
  font-size: 0.9rem;
}
.menu-drawer li{
  padding: 5px 0;
}
.shop-box {
    margin: 10px;
    width: calc((100% - 60px)/3);
  }
}

/*480px以下*/
@media screen and (max-width: 480px){
.pc_only {
    display: none;
  }
.sp_only {
  display: block;
}
main.main{
  padding: 0;
}
img.site-logo-image{
  height: 40px !important;
  width: auto;
}
.shop-f{
  padding: 5px;
}
.message {
  width: 95%;
  max-width: 1000px;
  margin: 1em auto 2em;
  padding: 15px;
  text-align: center;
  font-size: 0.8rem;
}
ul.cat-f li {
  margin: 0 10px 15px;
  padding: 3px 5px;
  font-size: 0.8rem;
}
.shop-box {
    margin: 10px;
    width: calc((100% - 40px)/2);
  }
.shop-box p{
  font-size: 0.9rem;
}
.more{
  padding: 5px;
  font-size: 0.9rem;
}

}
